## open-iscsi 2.1.9

=== etc/Makefile ===
#
# gnu Makefile for the etc subdirectory, including
# 	initd and systemd subdirectories
#

ifeq ($(TOPDIR),)
	TOPDIR = ..
endif

prefix = /usr
DESTDIR ?=
SBINDIR ?= /sbin

ISCSI_INAME ?= $(TOPDIR)/utils/iscsi-iname

systemddir ?= $(prefix)/lib/systemd
etcdir = /etc
initddir ?= $(etcdir)/init.d

HOMEDIR ?= $(etcdir)/iscsi

SED ?= sed
INSTALL = install

SYSTEMD_SOURCE_FILES	= iscsid.socket iscsiuio.socket
SYSTEMD_SOURCES		= $(addprefix systemd/,$(SYSTEMD_SOURCE_FILES))
SYSTEMD_TEMPLATE_FILES	= iscsi-init.service.template \
			  iscsid.service.template \
			  iscsi.service.template \
			  iscsiuio.service.template
SYSTEMD_TEMPLATES	= $(addprefix systemd/,$(SYSTEMD_TEMPLATE_FILES))
SYSTEMD_RULES_FILES	= ibft-rule-generator
SYSTEMD_RULES_SOURCES	= $(addprefix systemd/,$(SYSTEMD_RULES_FILES))
SYSTEMD_GENERATED_SERVICE_FILES	= $(SYSTEMD_TEMPLATES:.template=)
SYSTEMD_DEST_SVC_FILES	= $(addprefix $(DESTDIR)$(systemddir)/system/,$(SYSTEMD_SOURCE_FILES)) \
			  $(addprefix $(DESTDIR)$(systemddir)/system/,$(notdir $(SYSTEMD_GENERATED_SERVICE_FILES)))
SYSTEMD_DEST_GEN_FILES	= $(addprefix $(DESTDIR)$(systemddir)/system-generators/,$(notdir $(SYSTEMD_RULES_SOURCES)))
IFACE_FILES		= iface.example
IFACE_DEST_FILES	= $(addprefix $(DESTDIR)$(DBROOT)/ifaces/,$(IFACE_FILES))
ETC_FILES		= iscsid.conf
ETC_DEST_FILES		= $(addprefix $(DESTDIR)$(HOMEDIR)/,$(ETC_FILES))

INAME_DEST_FILE		= $(DESTDIR)$(HOMEDIR)/initiatorname.iscsi

all: $(SYSTEMD_SOURCES) $(SYSTEMD_GENERATED_SERVICE_FILES)

$(SYSTEMD_GENERATED_SERVICE_FILES): systemd/%.service: systemd/%.service.template
	$(SED) -e 's:@SBINDIR@:$(SBINDIR):' $? > $@

install: install_systemd install_iface install_etc

install_iface: $(DESTDIR)$(DBROOT)/ifaces $(IFACE_DEST_FILES)

$(IFACE_DEST_FILES): $(DESTDIR)$(DBROOT)/ifaces/%: %
	$(INSTALL) -m 644 $? $@

install_etc: $(DESTDIR)$(HOMEDIR) $(ETC_DEST_FILES)

$(ETC_DEST_FILES): $(DESTDIR)$(HOMEDIR)/%: %
	$(INSTALL) -m 644 $? $@

install_initd_distro = $(INSTALL) -m 755 $(1) $(DESTDIR)$(initddir)/open-iscsi/

install_initd: $(DESTDIR)$(initddir)/open-iscsi
	@if [ -f /etc/debian_version ]; then \
		$(call install_initd_distro,initd/initd.redhat) ; \
	elif [ -f /etc/redhat-release ]; then \
		$(call install_initd_distro,initd/initd.debian) ; \
	fi

install_initd_redhat: $(DESTDIR)$(initddir)/open-iscsi
	$(call install_initd_distro,initd/initd.redhat)

install_initd_debian: $(DESTDIR)$(initddir)/open-iscsi
	$(call install_initd_distro,initd/initd.debian)

install_systemd: install_systemd_service_files install_systemd_generator_files

install_systemd_service_files: $(DESTDIR)$(systemddir)/system $(SYSTEMD_DEST_SVC_FILES)

install_systemd_generator_files: $(DESTDIR)$(systemddir)/system-generators $(SYSTEMD_DEST_GEN_FILES)

$(SYSTEMD_DEST_SVC_FILES): $(DESTDIR)$(systemddir)/system/%: systemd/%
	$(INSTALL) -m 644 $? $@

$(SYSTEMD_DEST_GEN_FILES): $(DESTDIR)$(systemddir)/system-generators/%: systemd/%
	$(INSTALL) -m 755 $? $@

install_iname: $(DESTDIR)$(HOMEDIR) $(ISCSI_INAME)
	if [ ! -f $(INAME_DEST_FILE) ]; then \
		INAME="`$(ISCSI_INAME)`" ; \
		echo "InitiatorName=$$INAME" > $(INAME_DEST_FILE) ; \
		echo "***************************************************" ; \
		echo "Setting InitiatorName to $$INAME" ; \
		echo "To override edit $(INAME_DEST_FILE)" ; \
		echo "***************************************************" ; \
	fi

$(ISCSI_INAME):
	$(MAKE) $(MFLAGS) -c $(TOPDIR)/utils $(notdir $@)

# make needed directories
$(DESTDIR)$(systemddir)/system $(DESTDIR)$(systemddir)/system-generators $(DESTDIR)$(HOMEDIR) \
		$(DESTDIR)$(DBROOT)/ifaces $(DESTDIR)$(initddir)/open-iscsi:
	[ -d $@ ] || $(INSTALL) -d -m 775 $@

clean: ;

distclean:
	$(RM) $(SYSTEMD_GENERATED_SERVICE_FILES)

.PHONY: all clean install install_iface install_initd install_initd_redhat \
	install_initd_debian install_systemd distclean install_iname \
	install_systemd_generator_files install_systemd_service_files \
	install_initd_distro install_etc

=== debian/changelog ===
open-iscsi (2.1.9-3ubuntu5.4) noble; urgency=medium

  * d/extra/initramfs/local-top/iscsi: add a flag to skip network
    configuration when iscsi is set to 'auto' but no iBFT data is present.
    Thanks to Alec Warren <alecwarren19@gmail.com>. (LP: #2098515)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 04 Jun 2025 09:20:05 -0300

open-iscsi (2.1.9-3ubuntu5.3) noble; urgency=medium

  * IPv6 support for iBFT iSCSI boot (LP: #2097808)
    - d/p/lp2097808-IPv6-support-for-iBFT-iSCSI-boot-493.patch

 -- Chengen Du <chengen.du@canonical.com>  Tue, 11 Feb 2025 03:18:07 +0000

open-iscsi (2.1.9-3ubuntu5.2) noble; urgency=medium

  * d/p/lp2073846-setpriority-fix-for-linux-6x-kernel.patch: fix setpriority
    issue for linux kernel version >=6. (LP: #2073846)

 -- Mustafa Kemal GILOR <mustafa.gilor@canonical.com>  Mon, 02 Sep 2024 11:02:19 +0300

open-iscsi (2.1.9-3ubuntu5.1) noble; urgency=medium

  * initramfs-hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 Jul 2024 21:01:25 +0200

open-iscsi (2.1.9-3ubuntu5) noble; urgency=medium

  * No-change rebuild against libmount1t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Apr 2024 18:45:14 +0200

open-iscsi (2.1.9-3ubuntu4) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:46:46 +0200

open-iscsi (2.1.9-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:40:43 +0000

open-iscsi (2.1.9-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:22:33 +0000

open-iscsi (2.1.9-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040361). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - d/p/fix-format-overflow-warnings.patch: Fix format overflow warnings
      seen when building with -O3 to avoid FTBFS on ppc64el
  * d/t/patch-image: fixed kernel detection by manually mounting /boot when
    downloaded image contains a separate /boot partition
  * d/t/install: fixed test by forcing a package reinstall so that
    /etc/iscsi/initiatorname.iscsi can have expected value from the
    postinst script

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Thu, 14 Dec 2023 10:08:38 -0300

open-iscsi (2.1.9-3) unstable; urgency=medium

  * Release to unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2023 01:30:00 +0100

open-iscsi (2.1.9-2) experimental; urgency=medium

  * [1ceb4b9] Move files from / to /usr
  * [ab986c9] Apply wrap-and-sort -kas

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 Nov 2023 17:02:11 +0100

open-iscsi (2.1.9-1) unstable; urgency=medium

  * [90dd9cd] New upstream version 2.1.9
 
 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 11 Nov 2023 00:49:32 +0100

open-iscsi (2.1.8-2) unstable; urgency=medium

  [ Eric Mackay ]
  * [195bc9a] Update debian/watch to use api.github

  [ Chris Hofstaedtler ]
  * [5dde3d5] Import README.source from systemd
  * [f00c96e] Import patches into gbp-pq workflow
  * Merge upstream git history
  
  [ Debian Janitor ]
  * [ebe24b7] Remove constraints unnecessary since buster (oldstable)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 27 Aug 2023 12:10:27 +0200

=== debian/control ===
Source: open-iscsi
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
Uploaders:
 Ritesh Raj Sarraf <rrs@debian.org>,
 Christian Seiler <christian@iwakd.de>,
 Chris Hofstaedtler <zeha@debian.org>
Build-Depends:
 bison,
 bzip2,
 debhelper-compat (= 13),
 dh-exec,
 flex,
 libisns-dev,
 libkmod-dev,
 libmount-dev,
 libssl-dev,
 libsystemd-dev,
 pkg-config
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/linux-blocks-team/open-iscsi.git
Vcs-Browser: https://salsa.debian.org/linux-blocks-team/open-iscsi
Homepage: https://www.open-iscsi.com/
Rules-Requires-Root: no

Package: open-iscsi
Architecture: linux-any
Multi-Arch: foreign
Depends:
 libopeniscsiusr,
 udev,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 finalrd (>= 3),
 ${busybox:Recommends}
Pre-Depends:
 debconf | debconf-2.0
Description: iSCSI initiator tools
 The Open-iSCSI project is a high-performance, transport independent,
 multi-platform implementation of RFC3720 iSCSI.
 .
 Open-iSCSI is partitioned into user and kernel parts.
 .
 The kernel portion of Open-iSCSI is a from-scratch code
 licensed under GPL. The kernel part implements iSCSI data path
 (that is, iSCSI Read and iSCSI Write), and consists of three
 loadable modules: scsi_transport_iscsi.ko, libiscsi.ko and iscsi_tcp.ko.
 .
 User space contains the entire control plane: configuration
 manager, iSCSI Discovery, Login and Logout processing,
 connection-level error processing, Nop-In and Nop-Out handling,
 and (in the future:) Text processing, iSNS, SLP, Radius, etc.
 .
 The user space Open-iSCSI consists of a daemon process called
 iscsid, and a management utility iscsiadm.
 .
 This package includes a daemon, iscsid, and a management utility,
 iscsiadm.

Package: libopeniscsiusr
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Enhances:
 open-iscsi
Description: iSCSI userspace library
 The Open-iSCSI project is a high-performance, transport independent,
 multi-platform implementation of RFC3720 iSCSI.
 .
 Open-iSCSI is partitioned into user and kernel parts.
 .
 The kernel portion of Open-iSCSI is a from-scratch code
 licensed under GPL. The kernel part implements iSCSI data path
 (that is, iSCSI Read and iSCSI Write), and consists of three
 loadable modules: scsi_transport_iscsi.ko, libiscsi.ko and iscsi_tcp.ko.
 .
 User space contains the entire control plane: configuration
 manager, iSCSI Discovery, Login and Logout processing,
 connection-level error processing, Nop-In and Nop-Out handling,
 and (in the future:) Text processing, iSNS, SLP, Radius, etc.
 .
 The user space Open-iSCSI consists of a daemon process called
 iscsid, and a management utility iscsiadm.
 .
 This package contains the iSCSI userspace library.

Package: libopeniscsiusr-dev
Architecture: all
Depends:
 libopeniscsiusr,
 ${misc:Depends}
Enhances:
 open-iscsi
Description: iSCSI userspace library headers
 The Open-iSCSI project is a high-performance, transport independent,
 multi-platform implementation of RFC3720 iSCSI.
 .
 Open-iSCSI is partitioned into user and kernel parts.
 .
 The kernel portion of Open-iSCSI is a from-scratch code
 licensed under GPL. The kernel part implements iSCSI data path
 (that is, iSCSI Read and iSCSI Write), and consists of three
 loadable modules: scsi_transport_iscsi.ko, libiscsi.ko and iscsi_tcp.ko.
 .
 User space contains the entire control plane: configuration
 manager, iSCSI Discovery, Login and Logout processing,
 connection-level error processing, Nop-In and Nop-Out handling,
 and (in the future:) Text processing, iSNS, SLP, Radius, etc.
 .
 The user space Open-iSCSI consists of a daemon process called
 iscsid, and a management utility iscsiadm.
 .
 This package contains the iSCSI userspace library headers.

Package: iscsiuio
Architecture: linux-any
Multi-Arch: foreign
Depends:
 libopeniscsiusr,
 udev,
 ${misc:Depends},
 ${shlibs:Depends}
Enhances:
 open-iscsi
Description: iSCSI offloading daemon for QLogic devices
 The Open-iSCSI project is a high-performance, transport independent,
 multi-platform implementation of RFC3720 iSCSI.
 .
 This tool is to be used in conjunction with the QLogic NetXtreme II Linux
 driver (Kernel module name: 'bnx2' and 'bnx2x'), QLogic CNIC driver,
 and the QLogic iSCSI driver (Kernel module name: 'bnx2i').
 .
 This user space tool is used in conjunction with the following
 QLogic Network Controllers:
   bnx2:  BCM5706, BCM5708, BCM5709 devices
   bnx2x: BCM57710, BCM57711, BCM57711E, BCM57712, BCM57712E,
          BCM57800, BCM57810, BCM57840 devices
 .
 This utility will provide the ARP and DHCP functionality for the iSCSI
 offload. The communication to the driver is done via Userspace I/O (Kernel
 module name 'uio').
 .
 This package is required to offload iSCSI onto these devices.

Package: open-iscsi-udeb
# Note: the (virtual) udeb package scsi-modules (provided by different
#       linux kernel udebs) must exist for these architectures - so
#       check that before adding them to this list; the other
#       scsi-(core|common|...)-modules are NOT sufficient!
Architecture: amd64 arm64 armhf i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x
Section: debian-installer
Package-Type: udeb
Depends:
 scsi-modules,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Configure iSCSI
 The Open-iSCSI project is a high-performance, transport independent,
 multi-platform implementation of RFC3720 iSCSI.
 .
 This is the minimal package (udeb) used by debian-installer.

=== debian/tests/control ===
Tests: install
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: testsuite
Restrictions: needs-root isolation-machine breaks-testbed
Depends: open-iscsi, python3, tgt, qemu-system, ubuntu-cloudimage-keyring, simplestreams, python3-netifaces, distro-info, cloud-image-utils, dctrl-tools, rsync

Tests: nested
Restrictions: needs-root, isolation-machine, breaks-testbed, allow-stderr
Depends:
 python3,
 python3-netifaces,
 qemu-system,
 qemu-utils,
 targetcli-fb

## open-iscsi 2.1.9-3ubuntu5.3trisquel1

=== Makefile ===
#
# Makefile for the Open-iSCSI Initiator
#

# if you are packaging open-iscsi, set this variable to the location
# that you want everything installed into.
DESTDIR ?=

# our VERSION String
ISCSI_VERSION_STR ?= 2.1.9

prefix = /usr
exec_prefix = /usr
mandir = $(prefix)/share/man
etcdir = /etc

SBINDIR = $(exec_prefix)/sbin
HOMEDIR = $(etcdir)/iscsi
DBROOT = $(etcdir)/iscsi
RULESDIR = $(etcdir)/udev/rules.d

INSTALL = /usr/bin/install

# pass these on to sub-Makefiles
export DESTDIR prefix INSTALL SBINDIR HOMEDIR DBROOT RULESDIR ISCSI_VERSION_STR

# Compatibility: parse old OPTFLAGS argument
ifdef OPTFLAGS
CFLAGS = $(OPTFLAGS)
endif

# Export it so configure of iscsiuio will
# pick it up.
ifneq (,$(CFLAGS))
export CFLAGS
endif

# export systemd disablement if set
ifneq ($(NO_SYSTEMD),)
export NO_SYSTEMD
WITHOUT_ARG = --without-systemd
else
WITHOUT_ARG =
endif

# Random comments:
# using '$(MAKE)' instead of just 'make' allows make to run in parallel
# over multiple makefile.

all: user

make_utils:
	$(MAKE) $(MFLAGS) -C utils

deprecation_msg:
	@echo "***"
	@echo "*** Warning: using 'make' is being deprecated, in favor of 'meson'"
	@echo "***    Please see the README file for more information."
	@echo "***"

user: deprecation_msg iscsiuio/Makefile
	$(MAKE) $(MFLAGS) -C libopeniscsiusr
	$(MAKE) $(MFLAGS) -C sysdeps
	$(MAKE) $(MFLAGS) -C usr
	$(MAKE) $(MFLAGS) -C utils
	$(MAKE) $(MFLAGS) -C etc
	$(MAKE) $(MFLAGS) -C iscsiuio
	$(MAKE) $(MFLAGS) -C doc
	@echo
	@echo "Compilation complete                 Output file"
	@echo "-----------------------------------  ----------------"
	@echo "Built iSCSI daemon:                  usr/iscsid"
	@echo "Built management application:        usr/iscsiadm"
	@echo "Built boot tool:                     usr/iscsistart"
	@echo "Built iscsiuio daemon:               iscsiuio/src/unix/iscsiuio"
	@echo "Built libopeniscsiusr library:       libopeniscsiusr/libopeniscsiusr.so"
	@echo
	@echo "Read README file for detailed information."

iscsiuio/Makefile: iscsiuio/configure iscsiuio/Makefile.in
	cd iscsiuio; ./configure $(WITHOUT_ARG) --sbindir=$(SBINDIR)

iscsiuio/configure: iscsiuio/configure.ac iscsiuio/Makefile.am
	cd iscsiuio; autoreconf --install

force: ;

clean distclean:
	$(MAKE) $(MFLAGS) -C sysdeps $@
	$(MAKE) $(MFLAGS) -C utils $@
	$(MAKE) $(MFLAGS) -C usr $@
	$(MAKE) $(MFLAGS) -C etc $@
	$(MAKE) $(MFLAGS) -C libopeniscsiusr $@
	$(MAKE) $(MFLAGS) -C doc $@
	[ ! -f iscsiuio/Makefile ] || $(MAKE) $(MFLAGS) -C iscsiuio $@

# this is for safety
# now -jXXX will still be safe
# note that make may still execute the blocks in parallel
.NOTPARALLEL: install_user install_programs install_initd \
	install_initd_redhat install_initd_debian \
	install_doc install_iname install_etc install_etc_all

install: install_programs install_doc \
	install_systemd install_iname install_libopeniscsiusr \
	install_iscsiuio install_etc_all

install_iscsiuio:
	$(MAKE) $(MFLAGS) -C iscsiuio install

install_user: install_programs install_doc install_systemd install_iname

install_udev_rules:
	$(MAKE) $(MFLAGS) -C utils $@

install_programs:
	$(MAKE) $(MFLAGS) -C utils install
	$(MAKE) $(MFLAGS) -C usr install

install_initd install_initd_redhat install_initd_debian install_iface install_systemd install_etc install_iname:
	$(MAKE) $(MFLAGS) -C etc $@

install_etc_all:
	$(MAKE) $(MFLAGS) -C etc install

install_doc:
	$(MAKE) $(MFLAGS) -C doc $@

install_libopeniscsiusr:
	$(MAKE) $(MFLAGS) -C libopeniscsiusr install

depend:
	for dir in usr utils utils/fwparam_ibft sysdeps; do \
		$(MAKE) $(MFLAGS) -C $$dir $@; \
	done

.PHONY: all user install force clean install_user install_udev_rules install_systemd \
	install_programs install_initrd install_initrd_redhat install_initrd_debian \
	install_doc install_iname install_libopeniscsiusr install_etc install_etc_all \
	distclean depend install_initd install_initd_redhat install_initd_debian \
	install_iscsiuio

=== libopeniscsiusr/Makefile ===
# Makefile
#
# Copyright (C) 2017 Red Hat, Inc.
# Gris Ge <fge@redhat.com>
#

ifeq ($(TOPDIR),)
	TOPDIR = ..
endif

DESTDIR ?=
prefix ?= /usr
INSTALL ?= install
exec_prefix = $(prefix)
etcdir = /etc
SBINDIR ?= $(exec_prefix)/sbin
DBROOT ?= $(etcdir)/iscsi

ifndef LIB_DIR
	DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
	LIB_DIR=$(prefix)/lib/$(DEB_HOST_MULTIARCH)
endif

INCLUDE_DIR ?= $(prefix)/include
PKGCONF_DIR ?= $(LIB_DIR)/pkgconfig
MAN_DIR = $(prefix)/share/man

PKG_CONFIG ?= /usr/bin/pkg-config

LIBISCSI_USR_DIR=$(TOPDIR)/libopeniscsiusr

LIBISCSI_USR_VERSION_MAJOR=0
LIBISCSI_USR_VERSION=0.2.0
SONAME=$(LIBISCSI_USR_VERSION)
DEVLIB = libopeniscsiusr.so
LIBS = $(DEVLIB).$(SONAME)
LIBS_MAJOR = $(DEVLIB).$(LIBISCSI_USR_VERSION_MAJOR)
PKGFILE = libopeniscsiusr.pc
HEADERS = libopeniscsiusr/libopeniscsiusr.h \
	  libopeniscsiusr/libopeniscsiusr_common.h \
	  libopeniscsiusr/libopeniscsiusr_session.h \
	  libopeniscsiusr/libopeniscsiusr_iface.h \
	  libopeniscsiusr/libopeniscsiusr_node.h
TESTS = tests/test_context tests/test_session tests/test_iface tests/test_node
EXTRA_MAN_FILE = libopeniscsiusr.h.3

OBJS = context.o misc.o session.o sysfs.o iface.o idbm.o node.o default.o

CFLAGS ?= -O2 -g
CFLAGS += -Wall -Werror -Wextra -fvisibility=hidden -fPIC
CFLAGS += $(shell $(PKG_CONFIG) --cflags libkmod)
CFLAGS += -DSBINDIR=\"$(SBINDIR)\"
CFLAGS += -DISCSI_DB_ROOT=\"$(DBROOT)\"
CFLAGS += -DISCSI_VERSION_STR=\"$(ISCSI_VERSION_STR)\"

LDFLAGS += $(shell $(PKG_CONFIG) --libs libkmod)

LIBADD =

all: $(LIBS) $(LIBS_MAJOR) $(TESTS) doc

$(LIBS): $(OBJS)
	$(CC) $(CFLAGS) -shared -Wl,-soname=$@ -o $@ $(OBJS) $(LDFLAGS) $(LIBADD)
	ln -sf $@ $(DEVLIB)

$(LIBS_MAJOR): $(LIBS)
	ln -sf $(LIBS) $@

clean:
	$(RM) vgcore* core *.a *.o *.so *.so.* $(TESTS)
	$(RM) -r docs/man

distclean: ;

$(TESTS): $(LIBS)
$(TESTS): CFLAGS += -I$(TOPDIR)/libopeniscsiusr -g
$(TESTS): LDFLAGS += $(LIBADD) -L$(TOPDIR)/libopeniscsiusr -lopeniscsiusr

check: $(LIBS) $(TESTS)
	sudo env LD_LIBRARY_PATH=$(LIBISCSI_USR_DIR) TESTS="$(TESTS)" \
		tests/runtest.sh || exit 1;

install: install_libs install_docs install_pkg_files

install_libs: $(LIBS) $(LIBS_MAJOR)
	$(INSTALL) -d $(DESTDIR)$(LIB_DIR)/
	$(INSTALL) -d $(DESTDIR)$(INCLUDE_DIR)/
	$(INSTALL) $(LIBS) $(DESTDIR)$(LIB_DIR)/
	ln -sf $(LIBS) $(DESTDIR)$(LIB_DIR)/$(DEVLIB)
	ln -sf $(LIBS) $(DESTDIR)$(LIB_DIR)/$(LIBS_MAJOR)
	$(INSTALL) -m 644 $(HEADERS) $(DESTDIR)$(INCLUDE_DIR)/

install_docs: doc
	$(INSTALL) -d $(DESTDIR)$(MAN_DIR)/man3
	$(INSTALL) -m 644 docs/man/*.3 $(DESTDIR)$(MAN_DIR)/man3/

install_pkg_files:
	$(INSTALL) -m 644 -D $(PKGFILE).in $(DESTDIR)$(PKGCONF_DIR)/$(PKGFILE)
	perl -i -pe 's|__VERSION__|$(LIBISCSI_USR_VERSION)|g' \
		$(DESTDIR)$(PKGCONF_DIR)/$(PKGFILE)
	perl -i -pe 's|__LIB_DIR__|$(LIB_DIR)|g' \
		$(DESTDIR)$(PKGCONF_DIR)/$(PKGFILE)
	perl -i -pe 's|__INCLUDE_DIR__|$(INCLUDE_DIR)|g' \
		$(DESTDIR)$(PKGCONF_DIR)/$(PKGFILE)

doc: docs/man/$(EXTRA_MAN_FILE)

# install the static man page, and generate lots of lib man pages
# note: the last line just prints out the man page names
docs/man/$(EXTRA_MAN_FILE): $(HEADERS)
	$(INSTALL) -v -m 644 -D docs/$(EXTRA_MAN_FILE) $@
	@echo generating library man pages ...
	@for h in $(HEADERS); do \
	    for f in `docs/list-man-pages.sh $$h`; do \
		docs/kernel-doc -module libopeniscsiusr \
			-man -function $$f $$h >docs/man/$$f.3 ; \
	    done; \
	done
	find docs/man -type f -name \*[0-9]

.PHONY: all install clean distclean doc install_pkg_files install_docs \
	install_libs check

=== .pc/exec_prefix.patch/libopeniscsiusr/Makefile ===
# Makefile
#
# Copyright (C) 2017 Red Hat, Inc.
# Gris Ge <fge@redhat.com>
#

ifeq ($(TOPDIR),)
	TOPDIR = ..
endif

DESTDIR ?=
prefix ?= /usr
INSTALL ?= install
exec_prefix =
etcdir = /etc
SBINDIR ?= $(exec_prefix)/sbin
DBROOT ?= $(etcdir)/iscsi

ifndef LIB_DIR
	DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
	LIB_DIR=$(prefix)/lib/$(DEB_HOST_MULTIARCH)
endif

INCLUDE_DIR ?= $(prefix)/include
PKGCONF_DIR ?= $(LIB_DIR)/pkgconfig
MAN_DIR = $(prefix)/share/man

PKG_CONFIG ?= /usr/bin/pkg-config

LIBISCSI_USR_DIR=$(TOPDIR)/libopeniscsiusr

LIBISCSI_USR_VERSION_MAJOR=0
LIBISCSI_USR_VERSION=0.2.0
SONAME=$(LIBISCSI_USR_VERSION)
DEVLIB = libopeniscsiusr.so
LIBS = $(DEVLIB).$(SONAME)
LIBS_MAJOR = $(DEVLIB).$(LIBISCSI_USR_VERSION_MAJOR)
PKGFILE = libopeniscsiusr.pc
HEADERS = libopeniscsiusr/libopeniscsiusr.h \
	  libopeniscsiusr/libopeniscsiusr_common.h \
	  libopeniscsiusr/libopeniscsiusr_session.h \
	  libopeniscsiusr/libopeniscsiusr_iface.h \
	  libopeniscsiusr/libopeniscsiusr_node.h
TESTS = tests/test_context tests/test_session tests/test_iface tests/test_node
EXTRA_MAN_FILE = libopeniscsiusr.h.3

OBJS = context.o misc.o session.o sysfs.o iface.o idbm.o node.o default.o

CFLAGS ?= -O2 -g
CFLAGS += -Wall -Werror -Wextra -fvisibility=hidden -fPIC
CFLAGS += $(shell $(PKG_CONFIG) --cflags libkmod)
CFLAGS += -DSBINDIR=\"$(SBINDIR)\"
CFLAGS += -DISCSI_DB_ROOT=\"$(DBROOT)\"
CFLAGS += -DISCSI_VERSION_STR=\"$(ISCSI_VERSION_STR)\"

LDFLAGS += $(shell $(PKG_CONFIG) --libs libkmod)

LIBADD =

all: $(LIBS) $(LIBS_MAJOR) $(TESTS) doc

$(LIBS): $(OBJS)
	$(CC) $(CFLAGS) -shared -Wl,-soname=$@ -o $@ $(OBJS) $(LDFLAGS) $(LIBADD)
	ln -sf $@ $(DEVLIB)

$(LIBS_MAJOR): $(LIBS)
	ln -sf $(LIBS) $@

clean:
	$(RM) vgcore* core *.a *.o *.so *.so.* $(TESTS)
	$(RM) -r docs/man

distclean: ;

$(TESTS): $(LIBS)
$(TESTS): CFLAGS += -I$(TOPDIR)/libopeniscsiusr -g
$(TESTS): LDFLAGS += $(LIBADD) -L$(TOPDIR)/libopeniscsiusr -lopeniscsiusr

check: $(LIBS) $(TESTS)
	sudo env LD_LIBRARY_PATH=$(LIBISCSI_USR_DIR) TESTS="$(TESTS)" \
		tests/runtest.sh || exit 1;

install: install_libs install_docs install_pkg_files

install_libs: $(LIBS) $(LIBS_MAJOR)
	$(INSTALL) -d $(DESTDIR)$(LIB_DIR)/
	$(INSTALL) -d $(DESTDIR)$(INCLUDE_DIR)/
	$(INSTALL) $(LIBS) $(DESTDIR)$(LIB_DIR)/
	ln -sf $(LIBS) $(DESTDIR)$(LIB_DIR)/$(DEVLIB)
	ln -sf $(LIBS) $(DESTDIR)$(LIB_DIR)/$(LIBS_MAJOR)
	$(INSTALL) -m 644 $(HEADERS) $(DESTDIR)$(INCLUDE_DIR)/

install_docs: doc
	$(INSTALL) -d $(DESTDIR)$(MAN_DIR)/man3
	$(INSTALL) -m 644 docs/man/*.3 $(DESTDIR)$(MAN_DIR)/man3/

install_pkg_files:
	$(INSTALL) -m 644 -D $(PKGFILE).in $(DESTDIR)$(PKGCONF_DIR)/$(PKGFILE)
	perl -i -pe 's|__VERSION__|$(LIBISCSI_USR_VERSION)|g' \
		$(DESTDIR)$(PKGCONF_DIR)/$(PKGFILE)
	perl -i -pe 's|__LIB_DIR__|$(LIB_DIR)|g' \
		$(DESTDIR)$(PKGCONF_DIR)/$(PKGFILE)
	perl -i -pe 's|__INCLUDE_DIR__|$(INCLUDE_DIR)|g' \
		$(DESTDIR)$(PKGCONF_DIR)/$(PKGFILE)

doc: docs/man/$(EXTRA_MAN_FILE)

# install the static man page, and generate lots of lib man pages
# note: the last line just prints out the man page names
docs/man/$(EXTRA_MAN_FILE): $(HEADERS)
	$(INSTALL) -v -m 644 -D docs/$(EXTRA_MAN_FILE) $@
	@echo generating library man pages ...
	@for h in $(HEADERS); do \
	    for f in `docs/list-man-pages.sh $$h`; do \
		docs/kernel-doc -module libopeniscsiusr \
			-man -function $$f $$h >docs/man/$$f.3 ; \
	    done; \
	done
	find docs/man -type f -name \*[0-9]

.PHONY: all install clean distclean doc install_pkg_files install_docs \
	install_libs check

=== debian/changelog ===
open-iscsi (2.1.9-3ubuntu5.3trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 16 Mar 2025 09:44:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: open-iscsi
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
 Uploaders:
  Ritesh Raj Sarraf <rrs@debian.org>,

## open-iscsi 2.1.10

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 DESTDIR ?=
 
 # our VERSION String
-ISCSI_VERSION_STR ?= 2.1.9
+ISCSI_VERSION_STR ?= 2.1.10
 
 prefix = /usr
-exec_prefix = /usr
+exec_prefix =
 mandir = $(prefix)/share/man
 etcdir = /etc

=== meson_options.txt ===
# options for meson build system

# various subsystems that can be supported or not
option('no_systemd', type: 'boolean', value: false,
  description: 'Do not use systemd [false]')

# where systemd units go (if supporting systemd)
option('systemddir', type: 'string', value: '/usr/lib/systemd',
  description: 'Systemd directory [/usr/lib/systemd], if systemd used')

# is open-isns supporte?
option('isns', type: 'feature', value: 'enabled',
  description: 'Use open-isns to allow target discovery via iSNS')

# these are in the 'sysconfigdir' (/etc by default) unless overridden
option('homedir', type: 'string', value: 'iscsi',
  description: 'Set the HOME directory [/etc/iscsi]')
option('dbroot', type: 'string', value: '/var/lib/iscsi',
  description: 'Set the DATABASE root directory [/var/lib/iscsi]')
option('lockdir', type: 'string', value: '/run/lock/iscsi',
  description: 'Set the LOCK_DIR directory [/run/lock/iscsi]')
option('rulesdir', type: 'string', value: 'udev/rules.d',
  description: 'Set the directory where udev rules go [/etc/udev/rules.d]')
# to be able to put binaries in /sbin or /usr/sbin, since
# older version of meson do not allow overriding sbindir
option('iscsi_sbindir', type: 'string', value: '/usr/sbin',
  description: 'Set the directory where our binaries go [/usr/sbin]')

# default iqn prefix use for iscsi-iname
option('iqn_prefix', type: 'string', value: 'iqn.2016-04.com.open-iscsi',
  description: 'Set the prefix used by iscsi-iname to generate iSCSI names')

=== debian/changelog ===
open-iscsi (2.1.10-3ubuntu3) plucky; urgency=medium

  * d/t/{patch-image,testlib.py}: clean tests to make them work again
    (LP: #2095584)
    Historically this tried to become a test library for re-use, but
    that hasn't materilaized. Over time this bit rot and has issues
    on plucky. Clean unused sections and modernize a few others to make
    the tests work again.
    - d/t/patch-image: UEFI enabled images have boot after root
    - d/t/patch-image: drop handling of locally configured file:// repos
    - d/t/patch-image: drop in target debug custom services
    - d/t/patch-image: drop unused krd only function
    - d/t/patch-image: make execution more verbose
    - d/t/testlib.py: remove unused testuser handling
    - d/t/testlib.py: remove unused timeout handling
    - d/t/testlib.py: remove unused kdeinit handling
    - d/t/testlib.py: remove unused apparmor handling
    - d/t/testlib.py: convert regex to raw strings
    - d/t/testlib.py: remove unused AddUser class and thereby
                      no more import deprecated crypt

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 13 Feb 2025 13:03:37 +0100

open-iscsi (2.1.10-3ubuntu2) plucky; urgency=medium

  * IPv6 support for iBFT iSCSI boot (LP: #2097808)
    - d/p/lp2097808-IPv6-support-for-iBFT-iSCSI-boot-493.patch

 -- Chengen Du <chengen.du@canonical.com>  Tue, 11 Feb 2025 03:39:28 +0000

open-iscsi (2.1.10-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085209). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
      + d/t/install: fixed test by forcing a package reinstall so that
        /etc/iscsi/initiatorname.iscsi can have expected value from the
        postinst script
    - Include iscsiuio.socket in iscsiuio package (LP 2072484)
      - d/iscsiuio.install: Add usr/lib/systemd/system/iscsiuio.socket
      - d/not-installed: Remove iscsiuio.socket entry
      - d/rules: Set up iscsiuio.socket with systemd

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 13 Jan 2025 12:06:16 +0100

open-iscsi (2.1.10-3) unstable; urgency=medium

  * [74f7df6] Follow upstream change of moving the database path:
    Move nodes database to new path (in /var/lib/iscsi) on upgrade.
    Ensure /var/lib/iscsi exists, by installing it as a directory in
    the .deb.
    Update ConditionDirectoryNotEmpty in systemd service.
    Thanks to Friedrich Weber <f.weber@proxmox.com> (Closes: #1090725)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 02 Jan 2025 15:49:07 +0100

open-iscsi (2.1.10-2) unstable; urgency=medium

  * [d26aa9e] open-iscsi-udeb: add Architecture riscv64 (Closes: #1087701)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 17 Nov 2024 17:56:24 +0100

open-iscsi (2.1.10-1ubuntu2) plucky; urgency=medium

  * Include iscsiuio.socket in iscsiuio package (LP: #2072484)
    - d/iscsiuio.install: Add usr/lib/systemd/system/iscsiuio.socket
    - d/not-installed: Remove iscsiuio.socket entry
    - d/rules: Set up iscsiuio.socket with systemd

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 13 Nov 2024 12:00:34 -0700

open-iscsi (2.1.10-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064381). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - d/t/install: fixed test by forcing a package reinstall so that
      /etc/iscsi/initiatorname.iscsi can have expected value from the
      postinst script
  * Dropped changes:
    - d/p/fix-format-overflow-warnings.patch: Fix format overflow warnings
      seen when building with -O3 to avoid FTBFS on ppc64el
      [ Fixed in 2.1.10 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 25 Jun 2024 18:05:47 -0300

open-iscsi (2.1.10-1) unstable; urgency=medium

  * New upstream version 2.1.10
  * [4968264] Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 13 Jun 2024 02:51:38 +0200

open-iscsi (2.1.9-4) unstable; urgency=medium

  * [41ee5f4] iscsid.service: add After=run-lock.mount (Closes: #1071178)
  * [7463084] Replace Build-Depends: pkg-config (deprecated) with pkgconf
  * [fb96753] Build using meson build system
  * [ddff4f1] Tighten dependency on libopeniscsiusr

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 19 May 2024 01:30:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: open-iscsi
 Section: net
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
 Uploaders:
  Ritesh Raj Sarraf <rrs@debian.org>,
@@ -18,7 +18,8 @@
  libmount-dev,
  libssl-dev,
  libsystemd-dev,
- pkg-config
+ meson,
+ pkgconf
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/open-iscsi.git
 Vcs-Browser: https://salsa.debian.org/linux-blocks-team/open-iscsi
@@ -29,7 +30,7 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends:
- libopeniscsiusr,
+ libopeniscsiusr (= ${binary:Version}),
  udev,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -91,7 +92,7 @@
 Package: libopeniscsiusr-dev
 Architecture: all
 Depends:
- libopeniscsiusr,
+ libopeniscsiusr (>= ${source:Version}),
  ${misc:Depends}
 Enhances:
  open-iscsi
@@ -120,7 +121,7 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends:
- libopeniscsiusr,
+ libopeniscsiusr (= ${binary:Version}),
  udev,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -151,7 +152,7 @@
 #       linux kernel udebs) must exist for these architectures - so
 #       check that before adding them to this list; the other
 #       scsi-(core|common|...)-modules are NOT sufficient!
-Architecture: amd64 arm64 armhf i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x
+Architecture: amd64 arm64 armhf i386 ia64 mips mipsel powerpc ppc64 ppc64el riscv64 s390x
 Section: debian-installer
 Package-Type: udeb
 Depends:

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
export KBUILD_BUILD_TIMESTAMP = "@$(SOURCE_DATE_EPOCH)"

CONFOPTS += -Diqn_prefix=iqn.1993-08.org.debian:01
CONFOPTS += -Drulesdir=/usr/lib/udev/rules.d/

UDEB := $(filter open-iscsi-udeb,$(shell dh_listpackages))

%:
	dh $@ --buildsystem=meson

execute_before_dh_clean:
	rm -rf debian/build-deb
	rm -rf debian/build-udeb
	rm -rf debian/tmp-udeb

override_dh_auto_configure:
	dh_auto_configure --builddirectory=debian/build-deb  -- $(CONFOPTS)
ifneq ($(UDEB),)
	dh_auto_configure --builddirectory=debian/build-udeb -- $(CONFOPTS) -Dno_systemd=true
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=debian/build-deb
ifneq ($(UDEB),)
	dh_auto_build --builddirectory=debian/build-udeb
endif

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/build-deb
ifneq ($(UDEB),)
	dh_auto_install --builddirectory=debian/build-udeb --destdir=$(CURDIR)/debian/tmp-udeb
endif

ifneq ($(UDEB),)
execute_after_dh_install:
	if strings debian/open-iscsi-udeb/usr/sbin/iscsid | grep libsystemd.so ; then \
		echo ERROR: udeb linked to libsystemd ;\
		exit 1 ;\
	fi
endif

override_dh_installinit:
	dh_installinit -p open-iscsi --no-start --no-enable --no-stop-on-upgrade --name=iscsid
	dh_installinit -p open-iscsi --no-start --no-enable --no-stop-on-upgrade
	dh_installinit -p iscsiuio --no-start --no-enable --no-stop-on-upgrade

override_dh_installsystemd:
	dh_installsystemd -p open-iscsi --no-restart-on-upgrade iscsid.socket
	dh_installsystemd -p open-iscsi --no-restart-on-upgrade open-iscsi.service
	dh_installsystemd -p iscsiuio --no-restart-on-upgrade iscsiuio.socket
	dh_installsystemd -p iscsiuio --no-restart-on-upgrade iscsiuio.service

override_dh_installdocs:
	dh_installdocs -p open-iscsi README sysfs-documentation THANKS
	dh_installdocs -p iscsiuio iscsiuio/RELEASE.TXT iscsiuio/README
	dh_installdocs -p libopeniscsiusr
	dh_installdocs -p libopeniscsiusr-dev

override_dh_makeshlibs:
ifneq ($(UDEB),)
	dh_makeshlibs --add-udeb=open-iscsi-udeb
else
	dh_makeshlibs
endif

# The following is taken from the initramfs-tools package. (We recommend
# busybox in the initramfs because otherwise we don't have access to the
# ip utility to set the default gateway after iscsistart -N is done.)
# On Debian we can use either busybox or busybox-static, but on Ubuntu
# and derivatives only busybox-initramfs will work.
BUSYBOX_PACKAGES := $(shell if dpkg-vendor --derives-from ubuntu; then echo busybox-initramfs; else echo busybox busybox-static; fi)

override_dh_gencontrol:
	echo >> debian/open-iscsi.substvars "busybox:Recommends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| %))"
	dh_gencontrol

## open-iscsi 2.1.11

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DESTDIR ?=
 
 # our VERSION String
-ISCSI_VERSION_STR ?= 2.1.10
+ISCSI_VERSION_STR ?= 2.1.11
 
 prefix = /usr
 exec_prefix =

=== doc/Makefile ===
# This Makefile will work only with GNU make.
#
# Make file for the doc sub-directory
#

ifeq ($(TOPDIR),)
	TOPDIR = ..
endif

SED ?= sed
INSTALL = install

DESTDIR ?=
etcdir = /etc
DBROOT ?= $(etcdir)/iscsi
HOMEDIR ?= $(etcdir)/iscsi

IQN_PREFIX ?= "iqn.2016-04.com.open-iscsi"

prefix ?= /usr
mandir ?= $(prefix)/share/man

MAN8DIR = $(DESTDIR)$(mandir)/man8

MANPAGES_SOURCES	= iscsi_discovery.8 \
			  iscsi_fw_login.8
MANPAGES_TEMPLATES	= iscsid.8.template \
			  iscsiadm.8.template \
			  iscsi-gen-initiatorname.8 \
			  iscsistart.8.template \
			  iscsi-iname.8.template
MANPAGES_GENERATED	= $(MANPAGES_TEMPLATES:.template=)
MANPAGES_DEST		= $(addprefix $(MAN8DIR)/,$(MANPAGES_GENERATED)) \
			  $(addprefix $(MAN8DIR)/,$(MANPAGES_SOURCES))

all: $(MANPAGES_GENERATED)

install: install_doc

install_doc: $(MAN8DIR) $(MANPAGES_DEST)

$(MANPAGES_GENERATED): %.8: %.8.template
	$(SED) -e 's:@HOMEDIR@:$(HOMEDIR):' -e 's:@DBROOT@:$(DBROOT):' -e 's:@IQN_PREFIX@:$(IQN_PREFIX):' $? > $@

$(MANPAGES_DEST): $(MAN8DIR)/%: %
	$(INSTALL) -m 644 $? $@


$(MAN8DIR):
	[ -d $@ ] || $(INSTALL) -d $@

clean: ;

distclean:
	$(RM) $(MANPAGES_GENERATED)

.PHONY: all install install_doc clean distclean

=== libopeniscsiusr/Makefile ===
--- 
+++ 
@@ -11,14 +11,17 @@
 DESTDIR ?=
 prefix ?= /usr
 INSTALL ?= install
-exec_prefix = $(prefix)
+exec_prefix =
 etcdir = /etc
 SBINDIR ?= $(exec_prefix)/sbin
 DBROOT ?= $(etcdir)/iscsi
 
 ifndef LIB_DIR
-	DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-	LIB_DIR=$(prefix)/lib/$(DEB_HOST_MULTIARCH)
+	ifeq ($(shell test -d /lib64 && echo 1),1)
+		LIB_DIR=$(prefix)/lib64
+	else
+		LIB_DIR=$(prefix)/lib
+	endif
 endif
 
 INCLUDE_DIR ?= $(prefix)/include

=== usr/Makefile ===
# This Makefile will work only with GNU make.

ifeq ($(TOPDIR),)
	TOPDIR = ..
endif

INSTALL = install

DESTDR ?=
SBINDIR ?= /sbin
etcdir = /etc

OSNAME=$(shell uname -s)

# allow users to override these
# eg to compile for a kernel that you aren't currently running
KERNELRELEASE ?= $(shell uname -r)
KSRC ?= /lib/modules/$(KERNELRELEASE)/build

KSUBLEVEL=$(shell cat $(KSRC)/Makefile | awk -F= '/^SUBLEVEL =/ {print $$2}' | \
			sed 's/^[ \t]*//;s/[ \t]*$$//')

ifeq ($(OSNAME),Linux)
	ifeq ($(KSUBLEVEL),11)
		IPC_CFLAGS=-DNETLINK_ISCSI=12 -D_GNU_SOURCE
	else
	ifeq ($(KSUBLEVEL),12)
		IPC_CFLAGS=-DNETLINK_ISCSI=12 -D_GNU_SOURCE
	else
		IPC_CFLAGS=-DNETLINK_ISCSI=8 -D_GNU_SOURCE
	endif
	endif
IPC_OBJ=netlink.o
else
ifeq ($(OSNAME),FreeBSD)
IPC_CFLAGS=
IPC_OBJ=ioctl.o
endif
endif

DBROOT ?= $(etcdir)/iscsi
HOMEDIR ?= $(etcdir)/iscsi

PKG_CONFIG ?= /usr/bin/pkg-config

CFLAGS ?= -O2 -g
WARNFLAGS ?= -Wall -Wextra -Werror -Wstrict-prototypes -fno-common
CFLAGS += $(WARNFLAGS) -I../include -I. -D_GNU_SOURCE \
	  -I$(TOPDIR)/libopeniscsiusr \
	  -DISCSI_VERSION_STR=\"$(ISCSI_VERSION_STR)\"
CFLAGS += $(shell $(PKG_CONFIG) --cflags libkmod)
CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd)
CFLAGS += -DISNS_SUPPORTED
ISCSI_LIB = -L$(TOPDIR)/libopeniscsiusr -lopeniscsiusr
LDFLAGS += $(shell $(PKG_CONFIG) --libs libkmod)
ifeq ($(NO_SYSTEMD),)
LDFLAGS += $(shell $(PKG_CONFIG) --libs libsystemd)
else
CFLAGS += -DNO_SYSTEMD
endif
CFLAGS += -DISCSI_DB_ROOT=\"$(DBROOT)\"
CFLAGS += -DISCSI_CONFIG_ROOT=\"$(HOMEDIR)\"

PROGRAMS	= iscsid iscsiadm iscsistart
PROGRAMS_DEST	= $(addprefix $(DESTDIR)$(SBINDIR)/,$(PROGRAMS))

ISCSID_OBJS	= iscsid.o session_mgmt.o discoveryd.o mntcheck.o
ISCSIADM_OBJS	= iscsiadm.o session_mgmt.o mntcheck.o
ISCSISTART_OBJS	= iscsistart.o

# libc compat files
SYSDEPS_DIR = $(TOPDIR)/sysdeps
SYSDEPS_OBJS = $(SYSDEPS_DIR)/sysdeps.o
# sources shared between iscsid, iscsiadm and iscsistart
ISCSI_LIB_OBJS = iscsi_util.o io.o auth.o iscsi_timer.o login.o log.o \
	iface.o idbm.o sysfs.o host.o session_info.o iscsi_sysfs.o \
	iscsi_net_util.o iscsid_req.o transport.o iser.o cxgbi.o be2iscsi.o \
	initiator_common.o iscsi_err.o flashnode.o uip_mgmt_ipc.o \
	netlink.o
# core initiator files
INITIATOR_OBJS = initiator.o scsi.o actor.o event_poll.o mgmt_ipc.o kern_err_table.o

# fw boot files
FW_BOOT_DIR = fwparam_ibft
FW_BOOT_OBJ_FILES = fw_entry.o fwparam_sysfs.o prom_lex.o prom_parse.tab.o fwparam_ppc.o
FW_BOOT_OBJS = $(addprefix $(FW_BOOT_DIR)/,$(FW_BOOT_OBJ_FILES))

# core discovery files
DISCOVERY_OBJS = local_strings.o discovery.o

all: $(PROGRAMS)

iscsid: $(ISCSI_LIB_OBJS) $(SYSDEPS_OBJS) $(INITIATOR_OBJS) $(DISCOVERY_OBJS) $(FW_BOOT_OBJS) \
	$(ISCSID_OBJS)
	$(CC) $(CFLAGS) $^ -o $@  -lisns -lcrypto -lrt -lmount $(LDFLAGS) $(ISCSI_LIB)

iscsiadm: $(ISCSI_LIB_OBJS) $(SYSDEPS_OBJS) $(DISCOVERY_OBJS) $(FW_BOOT_OBJS) \
	$(ISCSIADM_OBJS)
	$(CC) $(CFLAGS) $^ -o $@ -lisns -lcrypto -lmount $(LDFLAGS) $(ISCSI_LIB)

iscsistart: $(ISCSI_LIB_OBJS) $(SYSDEPS_OBJS) $(INITIATOR_OBJS) $(FW_BOOT_OBJS) \
	$(ISCSISTART_OBJS)
	$(CC) $(CFLAGS) $^ -o $@ -lcrypto -lrt $(LDFLAGS) $(ISCSI_LIB)

install: $(DESTDIR)$(SBINDIR) $(PROGRAMS_DEST)

$(DESTDIR)$(SBINDIR):
	[ -d $@ ] || $(INSTALL) -d $@

$(PROGRAMS_DEST): $(DESTDIR)$(SBINDIR)/%: %
	$(INSTALL) -m 755 $? $@

$(SYSDEPS_OBJS):
	$(MAKE) $(MFLAGS) -C $(SYSDEPS_DIR)

$(FW_BOOT_OBJS):
	$(MAKE) $(MFLAGS) -C $(FW_BOOT_DIR)

clean:
	$(RM) $(ISCSI_LIB_OBJS) $(INITIATOR_OBJS) $(DISCOVERY_OBJS) \
		$(ISCSISTART_OBJS) $(ISCSID_OBJS) $(ISCSIADM_OBJS) \
		$(PROGRAMS) .depend
	$(MAKE) $(MFLAGS) -C $(FW_BOOT_DIR) clean

distclean: ;

.PHONY: all install clean distclean depend

depend:
	$(CC) $(CFLAGS) -M `ls *.c` > .depend
	$(MAKE) $(MFLAGS) -C $(FW_BOOT_DIR) depend

-include .depend

=== debian/changelog ===
open-iscsi (2.1.11-1+deb13u1) trixie; urgency=medium

  * [f3d17cf] initramfs: ensure that /var/lib exists.
    Thanks to Leon Blakey <code@leonblakey.com> (Closes: #1103644)

 -- Michael Prokop <mika@debian.org>  Fri, 15 Aug 2025 23:26:38 +0200

open-iscsi (2.1.11-1) unstable; urgency=medium

  * New upstream version 2.1.11.
  * Recommend finalrd only on Ubuntu. (Closes: #1072359)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 09 Mar 2025 18:18:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: open-iscsi
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
+Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
 Uploaders:
  Ritesh Raj Sarraf <rrs@debian.org>,
  Christian Seiler <christian@iwakd.de>,
@@ -35,7 +34,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- finalrd (>= 3),
+ ${finalrd:Recommends},
  ${busybox:Recommends}
 Pre-Depends:
  debconf | debconf-2.0

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,6 @@
 override_dh_installsystemd:
 	dh_installsystemd -p open-iscsi --no-restart-on-upgrade iscsid.socket
 	dh_installsystemd -p open-iscsi --no-restart-on-upgrade open-iscsi.service
-	dh_installsystemd -p iscsiuio --no-restart-on-upgrade iscsiuio.socket
 	dh_installsystemd -p iscsiuio --no-restart-on-upgrade iscsiuio.service
 
 override_dh_installdocs:
@@ -78,7 +77,9 @@
 # On Debian we can use either busybox or busybox-static, but on Ubuntu
 # and derivatives only busybox-initramfs will work.
 BUSYBOX_PACKAGES := $(shell if dpkg-vendor --derives-from ubuntu; then echo busybox-initramfs; else echo busybox busybox-static; fi)
+FINALRD_PACKAGE := $(shell if dpkg-vendor --derives-from ubuntu; then echo "finalrd (>= 3)"; else echo ""; fi)
 
 override_dh_gencontrol:
 	echo >> debian/open-iscsi.substvars "busybox:Recommends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| %))"
+	echo >> debian/open-iscsi.substvars "finalrd:Recommends=$(FINALRD_PACKAGE)"
 	dh_gencontrol

=== debian/tests/control ===
Tests: install
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: nested
Restrictions: needs-root, isolation-machine, breaks-testbed, allow-stderr
Depends:
 python3,
 python3-netifaces,
 qemu-system,
 qemu-utils,
 targetcli-fb

=== debian/watch ===
version=4
opts="searchmode=plain, \
  pgpmode=none, \
  dversionmangle=auto" \
https://api.github.com/repos/open-iscsi/open-iscsi/releases \
https://api.github.com/repos/open-iscsi/open-iscsi/tarball/@ANY_VERSION@
